rte_dma_info(3)

NAME
rte_dma_info

SYNOPSIS

#include <rte_dmadev.h>

  Data Fields

const char * dev_name
uint64_t dev_capa
uint16_t max_vchans
uint16_t max_desc
uint16_t min_desc
uint16_t max_sges
int16_t numa_node
uint16_t nb_vchans
uint16_t nb_priorities

Detailed Description

A structure used to retrieve the information of a DMA device.

See also
    rte_dma_info_get

Definition at line 313 of file rte_dmadev.h.

Field Documentation

  const char* dev_name
Unique device name.

Definition at line 314 of file rte_dmadev.h.

  uint64_t dev_capa
Device capabilities (RTE_DMA_CAPA_*).

Definition at line 316 of file rte_dmadev.h.

  uint16_t max_vchans
Maximum number of virtual DMA channels supported.

Definition at line 318 of file rte_dmadev.h.

  uint16_t max_desc
Maximum allowed number of virtual DMA channel descriptors.

Definition at line 320 of file rte_dmadev.h.

  uint16_t min_desc
Minimum allowed number of virtual DMA channel descriptors.

Definition at line 322 of file rte_dmadev.h.

  uint16_t max_sges
Maximum number of source or destination scatter-gather entry supported. If the device does not support COPY_SG capability, this value can be zero. If the device supports COPY_SG capability, then rte_dma_copy_sg() parameter nb_src/nb_dst should not exceed this value.

Definition at line 330 of file rte_dmadev.h.

  int16_t numa_node
NUMA node connection, -1 if unknown.

Definition at line 332 of file rte_dmadev.h.

  uint16_t nb_vchans
Number of virtual DMA channel configured.

Definition at line 334 of file rte_dmadev.h.

  uint16_t nb_priorities
Number of priority levels (must be > 1) if priority scheduling is supported, 0 otherwise.

Definition at line 338 of file rte_dmadev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.